Project

General

Profile

ECMWF analysis with 2.00 version error but 1.10 works

Added by Fanni Dora Kelemen about 6 years ago

Dear All,

I want to report you a problem, which occured to me.
I tried to preprocess ECMWF analysis data (in netcdf format) with int2lm2.00_clm4, and got segmentation fault several times.
It only run, when I decreased the gridsize, but then gave wrong values (see attached namelist, and netcdf file).
I tried also the small and the bigger gridsizes with the older version, int2lm1.10_clm14, and it worked well.
So something is probably wrong in the new version, I did not look into this deeper, but I thought somebody might want to.

best regards,
Fanni


Replies (4)

RE: ECMWF analysis with 2.00 version error but 1.10 works - Added by Burkhardt Rockel about 6 years ago

Maybe something went wrong in creating the cas-files? Do you have an example, e.g. cas2014060900.nc that you can upload?

RE: ECMWF analysis with 2.00 version error but 1.10 works - Added by Fanni Dora Kelemen about 6 years ago

Can be, but they worked well with the older version.
The files are too big to upload but I think you can read them on mistral, in:
/work/bb0105/fkelemen/2014_Pentecost/data/ecmwf/v1_015/

RE: ECMWF analysis with 2.00 version error but 1.10 works - Added by Burkhardt Rockel about 6 years ago

Your cas-files have 137 levels. In the lately introduced subroutine vgrid_refatm_utils.f90 it reads

    khmax = 96          ! max. number of vertical coordinate parameters

please change this to
    khmax = 140          ! max. number of vertical coordinate parameters

recompile int2lm and try again.

RE: ECMWF analysis with 2.00 version error but 1.10 works - Added by Fanni Dora Kelemen about 6 years ago

Thank you for the advice, it worked well with the changed khmax!

    (1-4/4)